LVRENAME(8)

NAME
lvrename - rename a logical volume

SYNOPSIS
lvrename [-A|--autobackup {y|n}] [-d|--debug] [-f|--force] [-h|--help] [--noudevsync] [-t|--test] [-v|--verbose] [--version]

OldLogicalVolumePath NewLogicalVolume{Path|Name}

VolumeGroupName OldLogicalVolumeName NewLogicalVolumeName

DESCRIPTION
lvrename renames an existing logical volume from OldLogicalVolume{Name|Path} to NewLogicalVolume{Name|Path}.

OPTIONS
See lvm for common options.

--noudevsync
    Disable udev synchronisation. The process will not wait for notification from udev. It will continue irrespective of any possible udev processing in the background. You should only use this if udev is not running or has rules that ignore the devices LVM2 creates.

EXAMPLE
To rename lvold in volume group vg02 to lvnew:

	lvrename /dev/vg02/lvold /dev/vg02/lvnew

An alternate syntax to rename this logical volume is

	lvrename vg02 lvold lvnew

SEE ALSO
lvm(8), lvchange(8), vgcreate(8), vgrename(8)